@import "reset.scss"
@import "featherlight.min.scss"

$header-height: 80px;
$color-gold: #c0ac7b;
$color-brown: #291806;

    

@mixin text-title()
    text-transform: uppercase
    font-weight: 500
    letter-spacing: 0.1em

html,body
    font-size: 12px
    background: #111

#debug
    position: fixed
    left: 10px
    bottom: 10px
    background: rgba(128,128,128,0.8)
    color: blue
    z-index: 101
    width: 30vw
    padding: 5px
    overflow-x: hidden
    .success
        color: green
    .danger
        color: red
    
#app
    max-width: 480px
    margin: 0 auto
    font-size: 1rem
    line-height: 1.5
    color: white
    font-weight: 300
    position: relative

    img
        max-width: 100%

    *
        box-sizing: border-box

    .clearfix
        &:after
            display: table
            clear: both
            content: ''
            width: 100%

    .apploading
        position: fixed
        top: 0
        left: 0
        z-index: 100
        display: flex
        width: 100%
        height: 100%
        background: rgba(black,0.9)
        color: $color-gold
        .message
            align-self: center
            text-align: center
            width: 100%
        .graph-loading
            width: 48px
            height: 48px
            display: block
            margin: 0 auto 30px
        .icon
            width: 24px
            height: 24px
            display: inline-block
            margin: 30px 15px

        .btn
            border: 1px solid $color-gold
            padding: 0.5em 3em
            margin-top: 45px
            display: inline-block
            color: $color-gold
    
.featherlight        
    .featherlight-content
        background: none !important
.popup-default
    .popup-wrapper
        background: white
        border-radius: 10px
        width: 90vw
        padding: 40px 20px
        color: $color-gold
        text-align: center
        .display-text
            font-size: 2em
            margin: 30px auto
        .btn-container
            margin-top: 30px
            text-align: center
            .close
                display: inline-block
                background: $color-gold
                color: white
                padding: 0.5em 3em
.popup-question
    .popup-wrapper
        background: white
        border-radius: 10px
        width: 90vw
        padding: 40px 20px
        color: $color-gold
        text-align: center
        .panel
            .panel-heading
                .title
                    @include text-title()
                    font-size: 1.2em
            .panel-body
                .option
                    width: 80%
                    display: block
                    margin-top: 1.5em
                    padding: 0.5em 1em
                    border: 1px solid transparent
                    margin-left: auto
                    margin-right: auto
                    &.selected
                        border: 1px solid $color-gold

                .next
                    padding: 0.5em 2em
                    background: $color-gold
                    color: white
                    margin-top: 30px
                    display: inline-block
                    opacity: 0.2
                    &.danger
                        opacity: 1
                        background: #f66
                    &.active
                        opacity: 1

#popup-lv
    .popup-wrapper
        background: white
        border-radius: 10px
        width: 90vw
        padding: 40px 20px
        color: $color-gold
        text-align: center
        .heading
            font-size: 1.5rem
            margin-bottom: 0.5em
            @include text-title()
        .title
            font-size: 1.4rem
            @include text-title()
        .visual
            width: 96px
            height: 96px
            display: block
            margin: 14px auto
            background-size: cover
            background-position: center
            border-radius: 50%

#userInfo
    position: fixed
    top: 0
    left: 0
    width: 100%
    height: $header-height
    //background: rgba(black,0.8)
    background: linear-gradient(top, rgba(black,1), rgba(black,0))
    z-index: 99
    .userInfo-wrapper
        display: flex
    .userIcon
        flex: 1
        text-align: center
        align-self: center
        .userAvatar
            display: inline-block
            border-radius: 50%
            width: $header-height - 20px
            height: $header-height - 20px
            margin: 10px auto
            background: rgba(white,0.2)

    .statusBar
        flex: 3
        align-self: center
        .wrapper
            padding-right: 30px
        .points
            text-align: right
            color: rgba(white,0.5)
            font-size: 0.9em
            float: right
        .title
            float: left
            color: $color-gold
            @include text-title()
        .name
            color: white
        .bar
            width: 100%
            height: 5px
            border: 1px solid rgba(white,0.2)
            position: relative
            .activePoints
                background: $color-gold
                height: 100%
                transition: all 1s ease-in-out

#booths
    //padding-top: $header-height
    color: $color-gold
    .booth
        //border: 1px solid rgba(0,0,0,0.5)
        position: relative
        background: black
        //background: linear-gradient(top, $color-brown, black)

        &.idle
            .games
                pointer-events: none
                opacity: 0.2
        /*&.stay
            .games
                pointer-events: all
                opacity: 1*/


        &.locked
            .booth-wrapper
                .name,.details
                    opacity: 0.2
                .visual
                    .cover
                        position: absolute
                        top: 0
                        left: 0
                        width: 100%
                        height: 100%
                        z-index: 1
                        content: ''
                        background: linear-gradient(to bottom, black, rgba($color-brown,0.8), black)

                    &:before
                        position: absolute
                        content: '尚未解鎖軒尼詩奧秘'
                        top: 100%
                        left: 00%
                        width: 100%
                        text-align: center
                        //transform: translate(-0%, 30vw)
                        color: $color-gold
                        z-index: 3
                        letter-spacing: 0.5em
                    &:after
                        position: absolute
                        content: ''
                        top: 0%
                        left: 0%
                        width: 100%
                        height: 100%
                        background: url('../images/declassified_logo_en.png') no-repeat center center / 30%
                        z-index: 2
        &.unlocked

        .booth-wrapper
            min-height: 100vh
            position: relative
            padding-top: $header-height + 30px


        .name
            font-size: 1.5rem
            text-align: center
            position: relative
            left: 0
            width: 100%
            z-index: 3
            @include text-title()
        .visual
            position: relative
            top: 0
            left: 0
            height: 0
            width: 100%
            padding-bottom: 66%
            display: block
            background-size: cover
            background-position: center
            z-index: 1
            margin: 30px auto
        .details
            display: flex
            padding: 0 30px
            position: relative
            //top: 50%
            bottom: 0px
            left: 0
            width: 100%
            z-index: 2
            .keylaerning
                flex: 3
                .title
                    font-size: 1.75em
                    padding-bottom: 2px
                    border-bottom: 1px solid $color-gold
                    margin-bottom: 0.5em
                    display: inline-block
                    @include text-title()
            .games
                text-align: right
                flex: 1
                .btn-container + .btn-container
                    margin-top: 5px
                .btn
                    border: 2px solid $color-gold
                    display: inline-block
                    width: 48px
                    height: 48px
                    border-radius: 50%
                    line-height: 44px
                    text-align: center
                    font-size: 24px
                    position: relative
                    &.completed:after
                        content: ''
                        width: 24px
                        height: 24px
                        line-height: 24px
                        text-align: center
                        font-size: 14px
                        background: $color-gold url('../images/checked.png') no-repeat center center / 14px
                        position: absolute
                        top: -7px
                        right: -7px
                        border-radius: 50%
                    img
                        margin-top: 10px
                        height: 24px
                        display: inline-block

.photoAdjust
    .popup-wrapper
        background: $color-gold !important
    .intro
        color: black
        @include text-title()
        text-align: center
        margin-bottom: 1em
    .select
        display: flex
        .option
            flex: 1
            line-height: 30px
            background: rgba(128,128,128,0.2)
            //border: 1px solid black
            text-align: center
            color: white
            &.active
                background: rgba(128,128,128,0.5)
    .photo-wrapper
        position: relative
        .photo
            display: block
            width: 100%
            padding-bottom: 100%
            height: 0
            background-color: rgba(white,0.2)
            background-size: cover
            background-position: center
            position: relative
            z-index: 1
        .filter
            z-index: 2
            position: absolute
            top: 0
            left: 0
            width: 100%
            height: 100%
            img
                display: block
                width: 100%
                height: auto
